Skip to main content
`Ctrl`+`K`

# JointFitter

class astropy.modeling.fitting.JointFitter(models, jointparameters, initvals)

  Bases: `Fitter`

  Fit models which share a parameter. For example, fit two gaussians to two data sets but keep the FWHM the same.

  Parameters:
    models `python:list`

      a list of model instances

    jointparameters `python:list`

      a list of joint parameters

    initvals `python:list`

      a list of initial values

  Attributes Summary

  `supported_constraints` |

  Methods Summary

  `__call__`(*args) | Fit data to these models keeping some of the parameters common to the two models.
  `model_to_fit_params`() |
  `objective_function`(fps, *args) | Function to minimize.

  Attributes Documentation

  supported_constraints = []

  Methods Documentation

  __call__(*args)

    Fit data to these models keeping some of the parameters common to the two models.

  model_to_fit_params()
  objective_function(fps, *args)

    Function to minimize.

    Parameters:
      fps `python:list`

        the fitted parameters - result of an one iteration of the fitting algorithm

      args `python:dict`

        tuple of measured and input coordinates args is always passed as a tuple from optimize.leastsq